Full name: projects.locations.instances.bigQueryExport.provision
Provision the BigQuery export for a Chronicle instance. This will create Google Cloud resources like Cloud Storage buckets, BigQuery datasets and set default export settings for each data source.
HTTP request
POST https://{endpoint}/v1/{parent}/bigQueryExport:provision
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The instance for which BigQuery export is being provisioned. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of BigQueryExport.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.bigQueryExport.provision
For more information, see the IAM documentation.